summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Tim Dickson (timsoft) <tim@tree-of-life.co.uk>2010-05-13 00:27:11 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:27:11 +0200
commit0eefec5a54e21839235443924de47a8d9b877dbe (patch)
treef7d64d30a9f4d8dc96225cd8901861750806650a
parenta182ecaae4d7778fdda091c23cac5e7e2fc1ff6e (diff)
downloadslackbuilds-0eefec5a54e21839235443924de47a8d9b877dbe.tar.gz
slackbuilds-0eefec5a54e21839235443924de47a8d9b877dbe.tar.xz
games/starfighter: Updated for version 1.1
-rw-r--r--games/starfighter/README22
-rw-r--r--games/starfighter/doinst.sh7
-rw-r--r--games/starfighter/icons/starfighter-16px.png (renamed from games/starfighter/starfighter-small.png)bin548 -> 548 bytes
-rw-r--r--games/starfighter/icons/starfighter-32px.png (renamed from games/starfighter/starfighter.png)bin1563 -> 1563 bytes
-rw-r--r--games/starfighter/icons/starfighter-64px.png (renamed from games/starfighter/starfighter-large.png)bin4371 -> 4371 bytes
-rw-r--r--games/starfighter/slack-desc20
-rw-r--r--games/starfighter/starfighter.SlackBuild56
-rw-r--r--games/starfighter/starfighter.desktop4
-rw-r--r--games/starfighter/starfighter.info10
9 files changed, 66 insertions, 53 deletions
diff --git a/games/starfighter/README b/games/starfighter/README
index 1ba933a32b..c93b3cf176 100644
--- a/games/starfighter/README
+++ b/games/starfighter/README
@@ -1,14 +1,8 @@
-Project: Starfighter is an old school 2D shoot 'em up. In the game you take
-on the role of a rebel pilot called Chris, who is attempting to overthrow a
-military corporation called Weapco. Weapco has seized control of the known
-universe and currently rules it with an iron fist. Chris can no longer
-stand back and watch as millions of people suffer and die. He steals an
-experimental craft known as "Firefly" and begins his mission to fight his
-way to Sol, freeing key systems along the way. The game opens with Chris
-attempting to escape a Weapco patrol that has intercepted him.
-
-This game depends on SDL, SDL_image, and SDL_mixer. All dependancies are
-included in the Slackware 12.2 SDL packages.
-
-This game is produced by parallelrealities.co.uk. For the music, download
-http://www.parallelrealities.co.uk/download/starfighter/starfighter-1.0-1.music.zip
+Project: Starfighter is an old school 2D shoot 'em up game. In the game, you
+take on the role of a rebel pilot named Chris who is attempting to overthrow
+a military corporation called Weapco. Weapco has seized control of the known
+universe and currently rules it with an iron fist. Chris can no longer stand
+back and watch as millions of people suffer and die. He steals an experimental
+craft known as "Firefly" and begins his mission to fight his way to Sol,
+freeing key systems along the way. The game opens with Chris attempting to
+escape a Weapco patrol that has intercepted him.
diff --git a/games/starfighter/doinst.sh b/games/starfighter/doinst.sh
index 5fb28930db..1f8ff67ded 100644
--- a/games/starfighter/doinst.sh
+++ b/games/starfighter/doinst.sh
@@ -1,3 +1,10 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/games/starfighter/starfighter-small.png b/games/starfighter/icons/starfighter-16px.png
index b9c3f7ff78..b9c3f7ff78 100644
--- a/games/starfighter/starfighter-small.png
+++ b/games/starfighter/icons/starfighter-16px.png
Binary files differ
diff --git a/games/starfighter/starfighter.png b/games/starfighter/icons/starfighter-32px.png
index 792e26e9d7..792e26e9d7 100644
--- a/games/starfighter/starfighter.png
+++ b/games/starfighter/icons/starfighter-32px.png
Binary files differ
diff --git a/games/starfighter/starfighter-large.png b/games/starfighter/icons/starfighter-64px.png
index 0bc9ed662a..0bc9ed662a 100644
--- a/games/starfighter/starfighter-large.png
+++ b/games/starfighter/icons/starfighter-64px.png
Binary files differ
diff --git a/games/starfighter/slack-desc b/games/starfighter/slack-desc
index 7004ab23b9..6d93f31dba 100644
--- a/games/starfighter/slack-desc
+++ b/games/starfighter/slack-desc
@@ -6,14 +6,14 @@
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-starfighter: Starfighter (an old school 2D shoot 'em up)
+starfighter: starfighter (Project Starfighter game)
starfighter:
-starfighter: In starfighter, you take on the role of a rebel pilot named Chris,
-starfighter: who is attempting to overthrow a military corporation called Weapco.
-starfighter: Weapco has seized control of the known universe and rules it with
-starfighter: an iron fist. Chris can no longer stand back and watch as millions
-starfighter: of people suffer and die. He steals an experimental craft known as
-starfighter: "Firefly" and begins his mission to fight his way to Sol, freeing
-starfighter: key systems along the way.
-starfighter:
-starfighter: Homepage: http://www.parallelrealities.co.uk
+starfighter: An old school 2D shoot 'em up. In the game you take on the role of a
+starfighter: rebel pilot called Chris, who is attempting to overthrow a military
+starfighter: corporation called Weapco. Weapco has seized control of the known
+starfighter: universe and currently rules it with an iron fist. Chris can no
+starfighter: longer stand back and watch as millions of people suffer and die. He
+starfighter: steals an experimental craft known as "Firefly" and begins his
+starfighter: mission to fight his way to Sol, freeing key systems along the way.
+starfighter: The game opens with Chris attempting to escape a Weapco patrol that
+starfighter: has intercepted him. software by www.parallelrealities.co.uk
diff --git a/games/starfighter/starfighter.SlackBuild b/games/starfighter/starfighter.SlackBuild
index e36a9fc9c1..8865d99fb7 100644
--- a/games/starfighter/starfighter.SlackBuild
+++ b/games/starfighter/starfighter.SlackBuild
@@ -25,7 +25,7 @@ elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
fi
-set -e
+set -e # Exit on most errors
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -40,34 +40,44 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-#because the make file doesn't support DESTDIR directly..
-#modify makefile
-mv makefile oldmakefile
-sed -e 's/\/usr/\$\(DESTDIR\)\/usr/g' -e '/strip/ i\
-\tmkdir -p \$\(BINDIR\)' -e '/strip/ i\
-\tmkdir -p \$\(DOCDIR\)' oldmakefile >makefile
-rm oldmakefile
+# The makefile doesn't support DESTDIR, but that's okay :)
+mkdir -p $PKG/usr/bin $PKG/usr/doc/$PRGNAM-$VERSION
+make \
+ CFLAGS="$SLKCFLAGS $(sdl-config --cflags) -Wall -DLINUX" \
+ BINDIR=/usr/bin/ \
+ DOCDIR=/usr/doc/$PRGNAM-$VERSION/ \
+ DATADIR=/usr/share/games/parallelrealities/
+make install \
+ BINDIR=$PKG/usr/bin/ \
+ DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION/ \
+ DATADIR=$PKG/usr/share/games/parallelrealities/
-make
-#binaries are stripped in this makefile with install option
-make install DESTDIR=$PKG
+# Add music to the package
+unzip -d $PKG/usr/share/games/parallelrealities $CWD/$PRGNAM-1.0-1.music.zip
+chmod 0755 $PKG/usr/share/games/parallelrealities/music
+find $PKG/usr/share/games/parallelrealities/music -type f -exec chmod 0644 {} \;
+
+# Fixup ownership (no need for games group ownership of anything)
+chown -R root:root $PKG
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a docs $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/usr/share/applications
-#put the menu item and icons in right place
-cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
-mkdir -p $PKG/usr/share/icons/hicolor/32x32/apps
-cp $CWD/$PRGNAM.png $PKG/usr/share/icons/hicolor/32x32/apps/$PRGNAM.png
-mkdir -p $PKG/usr/share/icons/hicolor/16x16/apps
-cp $CWD/$PRGNAM-small.png $PKG/usr/share/icons/hicolor/16x16/apps/$PRGNAM.png
-mkdir -p $PKG/usr/share/icons/hicolor/64x64/apps
-cp $CWD/$PRGNAM-large.png $PKG/usr/share/icons/hicolor/64x64/apps/$PRGNAM.png
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,64x64}/apps
+cat $CWD/icons/$PRGNAM-16px.png > \
+ $PKG/usr/share/icons/hicolor/16x16/apps/$PRGNAM.png
+cat $CWD/icons/$PRGNAM-32px.png > \
+ $PKG/usr/share/icons/hicolor/32x32/apps/$PRGNAM.png
+cat $CWD/icons/$PRGNAM-64px.png > \
+ $PKG/usr/share/icons/hicolor/64x64/apps/$PRGNAM.png
+
+# Add the build script to the package docs and fixup doc permissions
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/starfighter/starfighter.desktop b/games/starfighter/starfighter.desktop
index 8597cb94d5..27450d665c 100644
--- a/games/starfighter/starfighter.desktop
+++ b/games/starfighter/starfighter.desktop
@@ -1,7 +1,5 @@
[Desktop Entry]
-Encoding=UTF-8
-Categories=Application;Game;
-X-Desktop-File-Install-Version=1.0
+Categories=Game;
Name=Starfighter
Icon=starfighter
Exec=starfighter
diff --git a/games/starfighter/starfighter.info b/games/starfighter/starfighter.info
index 86650a6286..1cc1b2674d 100644
--- a/games/starfighter/starfighter.info
+++ b/games/starfighter/starfighter.info
@@ -1,8 +1,12 @@
PRGNAM="starfighter"
VERSION="1.1"
HOMEPAGE="http://www.parallelrealities.co.uk/projects/starfighter.php"
-DOWNLOAD="http://www.parallelrealities.co.uk/download/starfighter/starfighter-1.1-1.tar.gz"
-MD5SUM="6a4b704dbc83c7403842b936f95ee958"
+DOWNLOAD="http://www.parallelrealities.co.uk/download/starfighter/starfighter-1.1-1.tar.gz \
+ http://www.parallelrealities.co.uk/download/starfighter/starfighter-1.0-1.music.zip"
+MD5SUM="6a4b704dbc83c7403842b936f95ee958 \
+ ae0ff17bb6489a1b42ed381249a9340c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Tim Dickson (timsoft)"
EMAIL="tim@tree-of-life.co.uk"
-APPROVED="chess"
+APPROVED="rworkman"